%global packname  curl
%global rlibdir  %{_libdir}/R/library

# Dependency loops and/or not yet packaged.
%global with_doc 0
# These all require the network at the moment + dependency loop.
%global with_test 0

Name:             R-%{packname}
Version:          3.2
Release:          1%{?dist}
Summary:          A Modern and Flexible Web Client for R

License:          MIT
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:
# Suggests:  R-spelling, R-testthat >= 1.0.0, R-knitr, R-jsonlite, R-rmarkdown, R-magrittr, R-httpuv, R-webutils
# LinkingTo:
# Enhances:

BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    pkgconfig(libcurl)
BuildRequires:    R-testthat >= 1.0.0
BuildRequires:    R-httpuv
BuildRequires:    R-jsonlite
%if %{with_doc}
BuildRequires:    R-knitr
BuildRequires:    R-magrittr
BuildRequires:    R-rmarkdown
%endif
%if %{with_test}
BuildRequires:    R-webutils
%endif

%description
The curl() and curl_download() functions provide highly configurable
drop-in replacements for base url() and download.file() with better
performance, support for encryption (https, ftps), gzip compression,
authentication, and other 'libcurl' goodies. The core of the package
implements a framework for performing fully customized requests where data
can be processed either in memory, on disk, or streaming via the callback
or connection interfaces. Some knowledge of 'libcurl' is recommended; for
a more-user-friendly web client see the 'httr' package which builds on
this package with http specific tools and logic.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{with_test}
TEST=
%else
TEST="--no-tests --no-examples"
%endif
%if %{with_doc}
%{_bindir}/R CMD check %{packname} $TEST
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname} --ignore-vignettes $TEST
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/WORDLIST
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Wed Apr 25 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 3.2-1
- New upstream release.

* Fri Mar 09 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> 3.1-1
- New upstream release.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Nov 10 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 3.0-1
- New upstream release.

* Fri Aug 25 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.8.1-1
- initial package for Fedora
